'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _translatr = require('translatr');

var _translatr2 = _interopRequireDefault(_translatr);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// No need to divide component to presentational and container here
//Let it be a single file

var mapStateToProps = function mapStateToProps(_ref, _ref2) {
    var _ref$i18n = _ref.i18n,
        currentLanguage = _ref$i18n.currentLanguage,
        dictionaries = _ref$i18n.dictionaries;
    var locKey = _ref2.locKey,
        number = _ref2.number;
    return {
        currentLanguage: currentLanguage,
        locKey: locKey,
        dictionary: dictionaries[currentLanguage]
    };
};

var Loc = function Loc(_ref3) {
    var currentLanguage = _ref3.currentLanguage,
        locKey = _ref3.locKey,
        number = _ref3.number,
        dictionary = _ref3.dictionary;

    return _react2.default.createElement(
        'span',
        null,
        (0, _translatr2.default)(dictionary, currentLanguage, locKey, number)
    );
};

exports.default = (0, _reactRedux.connect)(mapStateToProps)(Loc);